Skip to main content
GET
/
history
/
{service}
Get a service
import requests

url = "https://{FUSION HOST}/api/history/{service}"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/history/{service}")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/history/{service}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/history/{service}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/history/{service}"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/history/{service}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/history/{service}
{
  "events": [
    {
      "start": "2014-05-16T14:11:48.849Z",
      "end": "2014-05-16T14:11:48.849Z",
      "source": "index-pipelines::v1",
      "type": "start",
      "status": "ok",
      "details": null,
      "error": null
    },
    {
      "start": "2014-05-16T14:12:48.845Z",
      "end": "2014-05-16T14:12:48.845Z",
      "source": "index-pipelines::v1",
      "type": "start",
      "status": "ok",
      "details": null,
      "error": null
    }
  ]
}

Path Parameters

service
string
required

The name of a service.

Query Parameters

timeRange
string

Time range in Solr format. Default value is [NOW-30DAYS/DAY TO NOW].

maxLength
integer<int32>

Maximum number of history elements to retrieve. Default value is 50. For values greater than 500, only 500 history elements will be retrieved.

Response

200 - application/json

successful operation

events
object[]
read-only